Summary: 	SELinux binary policy manipulation library 
Name: 		libsepol
Version: 	2.1.9
Release: 	%mkrel 3
License: 	GPL
Group: 		System/Libraries
URL:		http://www.selinuxproject.org
Source0:	http://www.nsa.gov/selinux/archives/libsepol-%{version}.tgz
Patch0:		libsepol-rhat.patch


%description
Security-enhanced Linux is a feature of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

libsepol provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well
as by programs like load_policy that need to perform specific transformations
on binary policies such as customizing policy boolean settings.

%package -n %{mklibname sepol 1}
Summary: SELinux binary policy manipulation library
Group: System/Libraries
Provides: libsepol = %{version}-%{release}

%description -n %{mklibname sepol 1}
libsepol provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well
as by programs like load_policy that need to perform specific transformations
on binary policies such as customizing policy boolean settings.

%package -n %{mklibname sepol -d}
Summary: Header files and libraries used to build policy manipulation tools
Group: Development/C
Requires: %{mklibname sepol 1} = %{version}-%{release}
Provides: sepol-devel = %{version}-%{release}
Obsoletes: %{mklibname sepol 1 -d}

%description -n %{mklibname sepol -d}
The libsepol-devel package contains the libraries and header files
needed for developing applications that manipulate binary policies. 

%package -n %{mklibname sepol -d -s}
Summary: Static libraries used to build policy manipulation tools
Group: Development/C
Requires: %{mklibname sepol -d} = %{version}-%{release}
Provides: sepol-static-devel = %{version}-%{release}
Obsoletes: %{mklibname sepol 1 -d -s}

%description -n %{mklibname sepol -d -s}
The libsepol-devel package contains the static libraries
needed for developing applications that manipulate binary policies. 

%prep
%setup -q
%patch0 -p2 -b .rhat

%build
%{make} clean
%{make} CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_lib} 
mkdir -p %{buildroot}/%{_libdir} 
mkdir -p %{buildroot}%{_includedir} 
mkdir -p %{buildroot}%{_bindir} 
mkdir -p %{buildroot}%{_mandir}/man3
mkdir -p %{buildroot}%{_mandir}/man8
%{makeinstall_std} LIBDIR="%{buildroot}%{_libdir}" SHLIBDIR="%{buildroot}/%{_lib}"
rm -f %{buildroot}%{_bindir}/genpolbools
rm -f %{buildroot}%{_bindir}/genpolusers
rm -f %{buildroot}%{_bindir}/chkcon
rm -rf %{buildroot}%{_mandir}/man8
rm -rf %{buildroot}%{_mandir}

%clean
rm -rf %{buildroot}

%post -n %{mklibname sepol 1}
[ -x /sbin/telinit ] && [ -p /dev/initctl ]  && /sbin/telinit U
exit 0

%files -n %{mklibname sepol 1}
/%{_lib}/libsepol.so.1

%files -n %{mklibname sepol -d}
%{_libdir}/libsepol.so
%{_libdir}/pkgconfig/libsepol.pc
%{_includedir}/sepol/*.h
%dir %{_includedir}/sepol
%dir %{_includedir}/sepol/policydb
%{_includedir}/sepol/policydb/*.h

%files -n %{mklibname sepol -d -s}
%{_libdir}/libsepol.a




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.1.9-3.mga4
+ Revision: 522441
- Mageia 4 Mass Rebuild

* Fri Mar 01 2013 spuhler <spuhler> 2.1.9-2.mga3
+ Revision: 400907
- added Provides: libsepol = %%{version}-%%{release}
 * to make the Requires arch independent

* Tue Feb 26 2013 spuhler <spuhler> 2.1.9-1.mga3
+ Revision: 400392
- upgrade to 2.1.9
  filename_trans: use some better sorting to compare and merge
  coverity fixes
  implement default type policy syntax
  Fix memory leak issues found by Klocwork
- updated patch from rhat for 2.1.9

* Sat Jan 12 2013 umeabot <umeabot> 2.1.8-3.mga3
+ Revision: 358139
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 spuhler <spuhler> 2.1.8-2.mga3
+ Revision: 338495
- bumped rel to build it with updated patch
- updated rhat.patch

* Sat Dec 01 2012 spuhler <spuhler> 2.1.8-1.mga3
+ Revision: 324422
- upgrade to 2.1.8
  cleanup of spec

* Sun Sep 02 2012 spuhler <spuhler> 2.1.7-1.mga3
+ Revision: 287138
- update to 2.1.7
- added libsepol-rhat.patch

* Fri Feb 11 2011 dmorgan <dmorgan> 2.0.34-2.mga1
+ Revision: 50044
- Fix typo
- Fix file list
- Remove mdv macros
- imported package libsepol


* Sun Sep 13 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.0.34-2mdv2010.0
+ Revision: 438739
- rebuild

* Sun Nov 30 2008 David Walluck <walluck@mandriva.org> 2.0.34-1mdv2009.1
+ Revision: 308330
- 2.0.34

* Mon Nov 24 2008 David Walluck <walluck@mandriva.org> 2.0.33-1mdv2009.1
+ Revision: 306134
- 2.0.33

* Mon Jul 28 2008 David Walluck <walluck@mandriva.org> 2.0.32-1mdv2009.0
+ Revision: 250775
- don't include .sign file
- 2.0.32

* Sun Jul 27 2008 David Walluck <walluck@mandriva.org> 2.0.30-1mdv2009.0
+ Revision: 250494
- 2.0.30

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Apr 20 2008 David Walluck <walluck@mandriva.org> 2.0.25-1mdv2009.0
+ Revision: 195979
- 2.0.25

* Fri Jan 04 2008 David Walluck <walluck@mandriva.org> 2.0.11-2mdv2008.1
+ Revision: 145372
- rebuild

* Wed Jan 02 2008 David Walluck <walluck@mandriva.org> 2.0.11-1mdv2008.1
+ Revision: 140258
- 2.0.11

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 03 2007 Funda Wang <fundawang@mandriva.org> 2.0.1-2mdv2008.0
+ Revision: 78417
- Obsoletes old devel package

* Sun Sep 02 2007 David Walluck <walluck@mandriva.org> 2.0.1-1mdv2008.0
+ Revision: 78359
- Import libsepol

